Bug 1377742 - dnf repomanage writes too much to stdout
dnf repomanage writes too much to stdout
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
All Unspecified
low Severity low
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-20 09:56 EDT by Oliver Henshaw
Modified: 2017-03-10 06:00 EST (History)
7 users (show)

See Also:
Fixed In Version: dnf-2.0.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-10 06:00:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2016-09-20 09:56:52 EDT
Description of problem:

According to dnf.plugin.repomanage(8) the program is meant to be suitable to piping into xargs and other programs. However it currently writes status messages to stdout.

$ dnf repomanage --space --old --keep=2 /path/to/repo/ 1> /dev/null
$ dnf repomanage --space --old --keep=2 /mpath/to/repo/ 2> /dev/null
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
enabling rpmfusion-free-updates-debuginfo repository
enabling rpmfusion-free-debuginfo repository
enabling rpmfusion-nonfree-updates-debuginfo repository
enabling local-debuginfo repository
enabling rpmfusion-nonfree-debuginfo repository

which can cause problems in scripts expecting a list of packages to remove...

This is similar in effect to bug #1352130.


Version-Release number of selected component (if applicable):

dnf-1.1.10-1.fc23.noarch
python-dnf-plugins-extras-repomanage-0.0.12-1.fc23.noarch
python3-dnf-plugins-extras-repomanage-0.0.12-1.fc23.noarch

Seems like it could be a regression in dnf as it's a fairly new problem.
Comment 1 Fedora End Of Life 2016-11-25 04:35:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Jaroslav Mracek 2016-12-14 05:12:01 EST
The problem can be solved by -q option. In future we have a plan to change the default behavior of logger for the command like in pull-request https://github.com/rpm-software-management/dnf/pull/681 . Thanks a lot for reporting.
Comment 3 Jaroslav Mracek 2017-01-09 04:38:37 EST
Created pull-request that should help: https://github.com/rpm-software-management/dnf-plugins-extras/pull/79
Comment 4 Fedora End Of Life 2017-02-28 05:20:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 5 Jaroslav Mracek 2017-03-10 06:00:33 EST
Fixed in dnf-2.0.1-1 and released into rawhide

Note You need to log in before you can comment on or make changes to this bug.